Subject: [Ecrit] PhoneBCP

From: Marc Linsner <[email-masked]>
Date: Fri, 09 Jan 2009 17:14:43 -0500

As we tried to complete PhoneBCP, our conversation in Minneapolis uncovered
another sticking point we need to resolve.

>From section 6.5.

 ED-21/INT-12 Devices MUST support all of: DHCP location options
   [RFC4776] and [RFC3825], HELD
   [I-D.ietf-geopriv-http-location-delivery] and LLDP-MED [LLDP-MED].

   AN-12/INT-13 The access network MUST support at least one of: DHCP
   location options, HELD or LLDP-MED.

It was suggested that IEEE802.11v is an additional mechanism that a 802.11
host could utilize to discover it¹s location.  It was suggested this
mechanism should be added to the list of MUST support.  Then ensued a
discussion of how LLDP-MED ever made it to list  and why we have/need layer
2 specific mechanisms in the list.

I would offer the following text to try and make progress such that we can
move this document forward:

    ED-21/INT-12 

Devices MUST support all of: DHCP location options [RFC4776] and [RFC3825],
HELD [I-D.ietf-geopriv-http-location-delivery].

The exception to this would be a device that deploys a specific access
network interface in which that access network supports location discovery
such as LLDP-MED or 802.11v.  In this case, the device MUST support the
additional respective access network specific location discovery mechanism.

  AN-12/INT-13

The access network MUST support at least one of: DHCP location options,
HELD, LLDP-MED, or 802.11v.

Fire away,

-Marc-

_______________________________________________
Ecrit mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ecrit

---

From: Richard Barnes <[email-masked]>
Date: Fri, 09 Jan 2009 17:25:32 -0500

Marc,

Thanks for refreshing this discussion.  I would revise your text as 
follows to ensure that one of the IETF protocols is always usable:

-----BEGIN-----
    ED-21/INT-12

Devices MUST support both the DHCP location options [RFC4776]
[RFC3825], and HELD [I-D.ietf-geopriv-http-location-delivery].

When devices deploys a specific access network interface in which that 
access network supports location discovery such as LLDP-MED or 802.11v. 
  In this case, the device SHOULD support the additional respective 
access network specific location discovery mechanism.

   AN-12/INT-13

The access network MUST support either DHCP location options or HELD. 
The access network SHOULD support other location technologies that are 
specific to the type of access network.
-----END-----

Cheers,
--Richard

Marc Linsner wrote:
> As we tried to complete PhoneBCP, our conversation in Minneapolis 
> uncovered another sticking point we need to resolve.
> 
>>From section 6.5.
> 
>    [_RFC4776_] and [_RFC3825_], HELD
>    [_I-D.ietf-geopriv-http-location-delivery_] and LLDP-MED [_LLDP-MED_].
> 
> It was suggested that IEEE802.11v is an additional mechanism that a 
> 802.11 host *could* utilize to discover it’s location.  It was suggested 
> this mechanism should be added to the list of MUST support.  Then ensued 
> a discussion of how LLDP-MED ever made it to list  and why we have/need 
> layer 2 specific mechanisms in the list.
> 
> I would offer the following text to try and make progress such that we 
> can move this document forward:
> 
>    ED-21/INT-12
> 
> Devices MUST support all of: DHCP location options [_RFC4776_] and 
> [_RFC3825_], HELD [_I-D.ietf-geopriv-http-location-delivery_].
> 
> network interface in which that access network supports location 
> discovery such as LLDP-MED or 802.11v.  In this case, the device MUST 
> support the additional respective access network specific location 
> discovery mechanism.
> 
>   AN-12/INT-13
> 
> ------------------------------------------------------------------------
>

---

From: <[email-masked]>
Date: Thu, 15 Jan 2009 22:06:43 +0100

You should omit the letter 'v' when mentioning about 802.11, because 802.11v is not the only amendment dealing with location and, ultimately all amendments end up being incorporated into the base standard anyway.

- gabor

  >-----Original Message-----
  >From: [email-masked] [mailto:[email-masked]] On Behalf Of
  >ext Richard Barnes
  >Sent: Friday, January 09, 2009 2:26 PM
  >To: Marc Linsner
  >Cc: 'ECRIT'
  >Subject: Re: [Ecrit] PhoneBCP
  >
  >Marc,
  >
  >> 802.11 host *could* utilize to discover it's location.  It was
  >suggested